Q_GETNEXTQUOTA(2const)

NAME
Q_GETNEXTQUOTA - get disk quota limits and current usage for next user or group

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

int quotactl(QCMD(Q_GETNEXTQUOTA, type), const char *_Nullable special,
             int id, caddr_t addr);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_GETNEXTQUOTA, type),
            int id, struct nextdqblk *addr);

#include <sys/quota.h>

    struct nextdqblk {
    	uint64_t  dqb_bhardlimit;
    	uint64_t  dqb_bsoftlimit;
    	uint64_t  dqb_curspace;
    	uint64_t  dqb_ihardlimit;
    	uint64_t  dqb_isoftlimit;
    	uint64_t  dqb_curinodes;
    	uint64_t  dqb_btime;
    	uint64_t  dqb_itime;

    	uint32_t  dqb_valid;

    	uint32_t  dqb_id;
    };

DESCRIPTION
This operation is the same as Q_GETQUOTA(2const), but it returns quota information for the next ID greater than or equal to id that has a quota set.

The addr argument is a pointer to a nextdqblk structure whose fields are as for the dqblk(2type), except for the addition of a .dqb_id field that is used to return the ID for which quota information is being returned.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

ESRCH
    There is no ID greater than or equal to id that has an active quota.

STANDARDS
Linux.

HISTORY
Linux 4.6.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_GETQUOTA(2const), dqblk(2type)